SonaGetSignUpsForTimeslot
Description¶
This API retrieves the list of signup records for a given timeslot. The timeslot is specified as a timeslot_id. In the system’s interface, when you click on a timeslot, you will see the timeslot_id in the URL in the browser address section.
Input Parameters¶
Below are the following input parameters for use with the SonaGetSignUpsForTimeslot API function.
| Parameter | Description / Possible Values |
|---|---|
api_key |
Use API key generated for Sona admin user |
timeslot_id |
The numeric reference of the timeslot from which to retrieve the records from. |
Output Parameters¶
Will return APISignup class and display data in an array.
Error Codes¶
Below are the possible error messages encountered and their respective descriptions.
| Error Type | Error Code | Description |
|---|---|---|
| Authentication Failed | -1 through -7 | Standard authentication errors |
| Error Code | Not supplied | timeslot_id must be numeric |
| Error Code | Not supplied | either no records were found for timeslot_id or timeslot_id does not exist |
Sample Input¶
Request URL
https://myschool.sona-systems.com/services/SonaAPI.svc/SonaGetSignUpsForTimeslot?api_key=YOUR_API_KEY×lot_id=75URL components
| Component | Value |
|---|---|
| Scheme | https |
| Host | myschool.sona-systems.com |
| Service path | /services/SonaAPI.svc |
| Function | SonaGetSignUpsForTimeslot |
Query parameters
Sample Output¶
<SonaGetSignUpsForTimeslotResponse
xmlns="https://www.sona-systems.com/"
xmlns:a="http://schemas.datacontract.org/2004/07/emsdotnet.sonasystems"
xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
<SonaGetSignUpsForTimeslotResult>
<a:Errors i:nil="true" />
<a:Result>
<a:APISignUp>
<a:anon_id_code>1234</a:anon_id_code>
<a:credit_status>G</a:credit_status>
<a:email>[email protected]</a:email>
<a:first_name>Mike</a:first_name>
<a:last_name>Lee</a:last_name>
<a:link_click_date>2019-08-14T16:00:00</a:link_click_date>
<a:phone>8509886</a:phone>
<a:signup_date>2019-08-13T15:00:00</a:signup_date>
<a:signup_id>258</a:signup_id>
<a:student_id_num>09341404</a:student_id_num>
<a:survey_code>222</a:survey_code>
<a:user_id>mikel</a:user_id>
</a:APISignUp>
<a:APISignUp>
<a:anon_id_code>5678</a:anon_id_code>
<a:credit_status>G</a:credit_status>
<a:email>[email protected]</a:email>
<a:first_name>Jesse</a:first_name>
<a:last_name>James</a:last_name>
<a:link_click_date>2019-08-14T16:00:00</a:link_click_date>
<a:phone>8509887</a:phone>
<a:signup_date>2019-08-13T15:00:00</a:signup_date>
<a:signup_id>266</a:signup_id>
<a:student_id_num>09341405</a:student_id_num>
<a:survey_code>729</a:survey_code>
<a:user_id>jessej</a:user_id>
</a:APISignUp>
</a:Result>
</SonaGetSignUpsForTimeslotResult>
</SonaGetSignUpsForTimeslotResponse>